## org.biojava.bio.dp.onehead
Class SmallCursor

    java.lang.Object
      org.biojava.bio.dp.onehead.SmallCursor

All Implemented Interfaces:
  DPCursor

    public class SmallCursor

extends Object

Constant-memory implementation of single-head DP cursor.

Author:
  Matthew Pocock

Constructor Summary
`SmallCursor(State[] states, SymbolList symList, Iterator symIterator)`

Method Summary
`void` `advance()` Advance.
`boolean` `canAdvance()` Can we advance?
`double[]` `currentCol()` The current column of the matrix.
`Symbol` `currentRes()` The current symbol.
`double[]` `lastCol()` The previous column.
`Symbol` `lastRes()` The previous symbol.
`int` `length()` The length of the sequence.
`SymbolList` `symList()` The symbol list being looped over.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmallCursor

    public SmallCursor(State[] states,
                       SymbolList symList,
                       Iterator symIterator)

Method Detail

### symList

    public SymbolList symList()

  Description copied from interface: `DPCursor`
  The symbol list being looped over.

### length

    public int length()

  Description copied from interface: `DPCursor`

  The length of the sequence.

  The matrix may allocate length+1 columns.

### currentCol

    public double[] currentCol()

  Description copied from interface: `DPCursor`
  The current column of the matrix.

### lastCol

    public double[] lastCol()

  Description copied from interface: `DPCursor`
  The previous column.

### advance

    public void advance()

  Description copied from interface: `DPCursor`
  Advance.

  Specified by:
    `advance` in interface `DPCursor`

### currentRes

    public Symbol currentRes()

  Description copied from interface: `DPCursor`
  The current symbol.

  Specified by:
    `currentRes` in interface `DPCursor`

### lastRes

    public Symbol lastRes()

  Description copied from interface: `DPCursor`
  The previous symbol.

  Specified by:
    `lastRes` in interface `DPCursor`

### canAdvance

    public boolean canAdvance()

  Description copied from interface: `DPCursor`
  Can we advance?

  Specified by:
    `canAdvance` in interface `DPCursor`